/* reset */

* {
  box-sizing: inherit;
  padding: 0;
  margin: 0;
  background: none;
  border: none;
  border-radius: 0;
  -webkit-margin-before: 0;
  -webkit-margin-after: 0;
  -webkit-margin-start: 0;
  -webkit-margin-end: 0;
  -webkit-padding-before: 0;
  -webkit-padding-start: 0;
  -webkit-padding-end: 0;
  -webkit-padding-after: 0;
  position: relative;
}

*::before,
*::after {
  box-sizing: inherit;
}

html {
  box-sizing: border-box;
}

body {
  position: relative;
  line-height: 1;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

div, nav {
  &:active,
  &:focus {
    outline: 0;
  }
}

b, i, em, strong,
h1, h2, h3, h4, h5, h6,
th, td, pre, ins, del, address,
input, select, button, textarea {
  font-family: inherit;
  font-size: inherit;
  font-style: normal;
  font-weight: normal;
  text-transform: inherit;
  letter-spacing: inherit;
}

a, ins, del, button {
  color: inherit;
  text-decoration: none;
}

li {
  margin-left: $page-padding-small;
}

table {
  width: 100%;
  border-spacing: 0;
  border-collapse: separate;
}

pre,
textarea {
  max-width: 100%;
  overflow: auto;
}

img {
  display: inline-block;
  max-width: 100%;
  line-height: 0;
}

svg:not(:root) {
  overflow: hidden;
}

form {
  width: 100%;
}

button {
  overflow: visible;
  cursor: pointer;
}

::moz-focus-inner {
  padding: 0;
  border: none;
}

a:hover {
  text-decoration: none;
  color: $color-green;
}
